Dieses Plugin ist nicht mit den jüngsten 3 Hauptversionen von WordPress getestet worden. Es wird möglicherweise nicht mehr gewartet oder unterstützt und kann Kompatibilitätsprobleme haben, wenn es mit neueren Versionen von WordPress verwendet wird.

SameSite Cookies

Beschreibung

This plugin adds the „SameSite“ cookie flag to WordPress’s authentication cookies. On supported browsers (all current IE, Edge, Chrome, and Firefox), this can effectively prevent all Cross-Site Request Forgery attacks throughout your WordPress site.

SameSite cookie flag support was added to PHP on version 7.3, but this plugin ships with a workaround to support all PHP versions WordPress supports.

There is no administrative UI provided: Activate this plugin and you are all set!

You can configure the SameSite flag value from your WordPress configuration file. You cna pick a value from Lax (default), Strict, or None. You can read about SameSite cookies here.

To configure the SameSite flag value, edit your WordPress configuration file (wp-config.php), and add the following lines right above /** Sets up WordPress vars and included files. */.

`php

define( ‚WP_SAMESITE_COOKIE‘, ‚Lax‘ ); // Pick from ‚Lax‘, ‚Strict‘, or ‚None‘.
`

Note that only the authentication cookies are affected. Regular cookies that your installed plugins set will not be affected, nor provide any meaningful value with SameSite flags.

Installation

  1. Install this plugin as you would with any other plugin.
  2. Aktiviere es.
  3. There is no third step – From this point afterwards, authentication cookies your WordPress site uses will contain SameSite flag, and you will be protected from CSRF attacks.

If you find this plugin useful, I’d appreciate you leaving a review on the plugin page.

FAQ

Muss ich PHP 7.3 oder höher haben?

No. PHP 7.3 officially added SameSite cookie support, but this plugin comes with a polyfill to extend support to all previous PHP versions.

Ist WordPress ohne dieses Plugin anfällig für CSRF-Angriffe?

Ohne SameSite-Cookie müssen WordPress-Core- und Drittanbieter-Plugins ihre eigenen CSRF-Prüfungen implementieren, die übersehen werden können, absichtlich ignoriert werden oder manchmal nicht einmal darüber nachgedacht haben, was bei beigetragenen Plugins der Fall sein kann. Dieses Plugin versucht, dies mit unterschiedlichen Ansätzen zu lösen und bestehende Lösungen zu ergänzen.

Rezensionen

5. April 2020
Chrome was showing an error from the developer console. Errors disappeared when I installed this plugin. The plugin is working and problem-free. thank you
4. März 2020
It sorted out my problem. And created another - I can't log into my site with this plugin installed! Unfortunately....
29. Januar 2020
This plugin does not work for me. In addition, after I installed it, I could not log back in to the WordPress backend. Had to disable the plugin through WP Engine to gain back the access. waste of time.
26. Oktober 2019
I spent 30 minutes looking for an alternative since reviews said it does not work. Should have saved my time as this plugin works perfectly, just install, activate and that's it.
Alle 10 Rezensionen lesen

Mitwirkende & Entwickler

„SameSite Cookies“ ist Open-Source-Software. Folgende Menschen haben an diesem Plugin mitgewirkt:

Mitwirkende

Übersetze „SameSite Cookies“ in deine Sprache.

Interessiert an der Entwicklung?

Durchstöbere den Code, sieh dir das SVN Repository an oder abonniere das Entwicklungsprotokoll per RSS.

Änderungsprotokoll

1.5

  • Fixes a cookie expiration issue that was reported multiple times in the issue queue. Thanks to Jamie Magin (@jamagin at GitHub).